Page MenuHomePhabricator

debugtagscache: verify that filenode is correct
ClosedPublic

Authored by pulkit on Feb 17 2021, 2:44 PM.

Details

Summary

Previous patch from Matt demonstrates that debugtagscache does not warn about
filenode being unknown which can be caused by a corrupted cache.

We start by showing that it's an unknown node.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Feb 17 2021, 2:44 PM
Alphare accepted this revision.Feb 23 2021, 4:33 AM
marmoute requested changes to this revision.Mar 1 2021, 3:55 AM
marmoute added a subscriber: marmoute.

What is an "invalid" node?

This revision now requires changes to proceed.Mar 1 2021, 3:55 AM
baymax updated this revision to Diff 26111.Mar 5 2021, 1:17 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute accepted this revision.Mar 5 2021, 2:00 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.